/*
几乎所有的tpl目录下html也要都要引用该文件，用来处理初始化代码，提供最常用的方法
不要轻易修改这个文件，影响面非常广
作者：陈坤极
*/

//全局变量
var uni_global={};//作为全局对象，把常见的公共的的常量、变量、方法放到这里
uni_global.rootUrl="http://test.chaojibiaoge.com/";
// uni_global.rootUrl="http://192.168.1.125/uni/";
var MCSSTables=new Array;//多个MCSSTable对象管理,用于MCSSTable.js中
var Autoforms=new Array;//多个Autoform对象管理,用于Autoforms.js中
var UNICharts=new Array;//多个Autoform对象管理,用于Autoforms.js中
var g_homeurl=getHomeUrl();//index.php路径,不包括域名
var g_domain=getdomain();//域名部分，如 http://localhost:8888/  http://www.baidu.com/
var g_rooturl=getrooturl();//去掉index.php后剩下的路径
var g_systempath="/System/Model";//系统模型处理类的路径，很多地方用到
var g_dinamic_cssjs=new Array();//动态加载的css和js文件都记录在这里避免重复加载
var g_loginuser,loginuser;//登录账号
var g_highlight_color="rgb(207, 75, 44)";
var g_idindex=0;//供给时间id生成函数getTimeId用的id序号，从1到100，再从0开始
var g_showFloatTool = true;//是否显示浮动工具条
uni_global.bautoLogin  = '0';
uni_global.urlConfig='http://www.chaojibiaoge.com/index.php';
//手机操作系统判断
uni_global.isMobile=function()
{
    var ua = navigator.userAgent.toLowerCase();
	return ua.indexOf("android")>-1  || ua.indexOf("mobile")>-1 || ua.indexOf("ios")>-1;
}
//小屏幕判断
uni_global.isSmallScreen=function()
{
	return (document.body.clientWidth && document.body.clientWidth<500);
}

//判断是ipad
uni_global.isIPad=function(){
	var ua = navigator.userAgent.toLowerCase();
	if(ua.match(/iPad/i)=="ipad") {
		return true;
	} else {
		return false;
	}
}

//判断是iphone手机
uni_global.isIphone=function(){
	var ua = navigator.userAgent.toLowerCase();
	if(ua.indexOf("iphone")>-1) {
		return true;
	} else {
		return false;
	}
}

uni_global.getUrlParam=function(param,url)
{
	if (!url)
		url=document.location.href;
	if (url.indexOf("#")==url.length-1)
		url=url.substr(0,url.length-1);
	var params=url.split("/");
	for(var i=0;i<params.length;i++)
	{
		if (params[i]==param && i<params.length)
		{return params[i+1];}
	}
	return "";

}
common_init();
//初始化整个应用的公共对象、全局变量
function common_init()
{
	//mcss_importCss("themes/default/bootstrap/css/bootstrap.min.css");//所有引用common.js的页面都加载common.css样式文件
	//mcss_importCss("themes/default/icomoon/style.css");//所有引用common.js的页面都加载common.css样式文件
	//mcss_importCss("themes/default/css/common.css");//所有引用common.js的页面都加载common.css样式文件	

	uni_global.loginuser="";
	uni_global.today=getGoodDate(new Date());
	uni_global.now=new Date();	
	uni_global.filepath="http://oss.aliyuncs.com/domypp-file/uploadfile/";
	uni_global.issaas=true;
	uni_global.uploadtemp=false;
	uni_global.highlight_color="rgb(207, 75, 44)";
}
function importJS(filename,callback)
{
    var oHead = document.getElementsByTagName('HEAD').item(0);
    var oScript= document.createElement("script");
    oScript.type = "text/javascript";
    var js=filename; 
    
    if (filename.indexOf("http")==-1){
        js=g_rooturl+"/Public/"+filename;
        //js="http://beta.chaojibiaoge.com/Public/"+filename;
		//js=jusaas/js/MobileSheetPanel.js

    }
    oScript.src=js;
    oHead.appendChild( oScript);
    oScript.onload = function(){ 
       if (callback)
           callback(this);  
    };   
}

//index.php路径,不包括域名
function getHomeUrl()
{
	return uni_global.rootUrl+"/index.php";
}
//获得网站跟路径url
function getrooturl()
{
	return  uni_global.rootUrl;
}

//获得网站域名
function getdomain()
{
	var strFullPath=window.document.location.href;
	var strPath=window.document.location.pathname;
	var pos=strFullPath.indexOf(strPath);
	return prePath=strFullPath.substring(0,pos);
}


//得到当前网址的参数
function common_getParam(param,url)
{   
	if (!url)
		url=document.location.href;
	if (url.indexOf("#")==url.length-1)
		url=url.substr(0,url.length-1);	
	var params=url.split("/");
	for(var i=0;i<params.length;i++)
	{   
		if (params[i]==param && i<params.length)
			{return params[i+1];}
	}
	return "";
}


function setCookie(name,value,expiredays)//两个参数，一个是cookie的名子，一个是值
{
    localStorage.setItem(name,value);
    return;
	if (!expiredays)
		expiredays=24*3600*1000;
    var exp  = new Date(); 
    exp.setTime(exp.getTime() + expiredays*1000);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString()+";path=/";
}
function getCookie(name)//取cookies函数
{
    return localStorage.getItem(name);
    //var arr = document.cookie.match(new RegExp("(^| )"+name+"=([^;]*)(;|$)"));
    // if(arr != null) return unescape(arr[2]); return null;

}
function delCookie(name)//删除cookie
{
    localStorage.removeItem(name);
    return;
    var exp = new Date();
    exp.setTime(exp.getTime() - 1);
    var cval=getCookie(name);
    if(cval!=null) document.cookie= name + "="+cval+";expires="+exp.toGMTString();
}
Date.prototype.format = function(pattern) {
    /*初始化返回值字符串*/
    var returnValue = pattern;
    /*正则式pattern类型对象定义*/
    var format = {
        "y+": this.getFullYear(),
        "M+": this.getMonth()+1,
        "d+": this.getDate(),
        "H+": this.getHours(),
        "m+": this.getMinutes(),
        "s+": this.getSeconds(),
        "S": this.getMilliseconds(),
        "h+": (this.getHours()%12),
        "a": (this.getHours()/12) <= 1? "AM":"PM"
    };
    /*遍历正则式pattern类型对象构建returnValue对象*/
    for(var key in format) {
        var regExp = new RegExp("("+key+")");
        if(regExp.test(returnValue)) {
            var zero = "";
            for(var i = 0; i < RegExp.$1.length; i++) { zero += "0"; }
            var replacement = RegExp.$1.length == 1? format[key]:(zero+format[key]).substring(((""+format[key]).length));
            returnValue = returnValue.replace(RegExp.$1, replacement);
        }
    }
    return returnValue;
};
function getGoodNow(){
    return new Date().format("yyyy-MM-dd HH:mm:ss");
}
String.prototype.trim=function(){
return this.replace(/(^\s*)|(\s*$)/g, ""); 
}


var loadBeginTime = new Date().getTime();
window.onload = function()
{
 windowonload();
}
function windowonload() 
{ 
	//显示“正则加载”的动画效果
	var t2=new Date().getTime()-loadBeginTime; 
	setTimeout(function(){
		var ajaxbg=$("#background,#progressBar");		
		ajaxbg.hide();
		$(document).ajaxStart(function(){
		ajaxbg.show();
		}).ajaxStop(function(){
		ajaxbg.hide();});},t2);
}


//动态加载js文件
function mcss_importJS(filename,alwaysReload)
{
	if (!alwaysReload)
	{
		for(var i=0;i<g_dinamic_cssjs.length;i++)
		{
			if (g_dinamic_cssjs[i]==filename)
			{
				return; 
			}
		}
	}
	g_dinamic_cssjs.push(filename);

	var oHead = document.getElementsByTagName('HEAD').item(0);
	var oScript= document.createElement("script");
	oScript.type = "text/javascript";
	oScript.id=filename;
	var js='';
	if (filename.indexOf("http")==-1)
		js=g_rooturl+"/Public/"+filename;
	else
		js=filename;	

	oScript.src=js;
	oHead.appendChild( oScript);
}

//动态加载css文件
function mcss_importCss(filename)
{
	for(var i=0;i<g_dinamic_cssjs.length;i++)
	{
		if (g_dinamic_cssjs[i]==filename)
		{
			return; 
		}
	}
	g_dinamic_cssjs.push(filename);

	var js=g_rooturl+"/Public/"+filename;
	var fileref=document.createElement("link") 
	fileref.setAttribute("rel", "stylesheet") 
	fileref.setAttribute("type", "text/css")  
	fileref.setAttribute("href", js);
	if (typeof(fileref)!="undefined") 
		document.getElementsByTagName("head")[0].appendChild(fileref);
}
//检查后台返回的结果是否错误信心并处理
function common_getAccessError(data,params)
{
	if (data && data.length==1)
	{
		if (data[0].errcode=='loginexpire')
		{
			var url=document.location.href.replace(/\//g,'.xigan.');
			var errstr="登录已过期，请<a href='"+g_homeurl+"/Home/Index/login/fromurl/"+url+"'><span style='color:blue'>重新登录</span></a>";
			var returnstr="无法获取数据";
			
			if (params && params.gotologin==true)
			{
				window.location =g_homeurl+"/Home/Index/login/fromurl/"+url;
				return "";
			}
			else
			{
				//先尝试重新登录，如果通不过则提示重新登录
				var urlpath=g_homeurl+"/Home/Index/gotoLogin/";
				var username=getCookie("mcss_loginuser");
				var password=getCookie("mcss_ckj");
				if (!password || password=='null')
				{
					if(!$("#popup_fuceng_Box").html())
						mcpopup=mcdom.alert(errstr,"无法访问",'fail');	
					return returnstr;				
				}
				var orgid=getCookie("mcss_orgid");
				var orgcode=getCookie("mcss_app");
				$.post(urlpath,{username:username,password:password,orgid:orgid,orgcode:orgcode,logintype:'autologin'},function(msg){
					if (msg=='1')
						window.location.href=document.location.href;
					else
					{
						//登录过期设计：一个页面有时显示多个“登录过期”，体验不好。可以改为：把原来的显示“登录过期”的字样改为“无法获取数据”。另外在屏幕中央弹出一个带关闭按钮的小浮层，显示原来显示的“登录过期，请重新登录”的字样。当前页面如果已经显示了这个浮层，则不要再显示了
						if(!$("#popup_fuceng_Box").html())
							mcpopup=mcdom.showPopup(obj,errstr,null,null,null,320,360,"信息");	
						return returnstr;						
					}
			    });				
			}
		}
		else
		if (data[0].errcode)
		{
			return data[0].err;
		}
	}
	return "";
}

function getGoodDate(date1)
{
	var r="";
	r=date1.getFullYear();
	var m=date1.getMonth()+1;
	var d=date1.getDate();
	if (m<10)r+="-0"+m;else r+="-"+m;
	if (d<10)r+="-0"+d;else r+="-"+d;
	return r;
}


/*
MCSS模型处理类
params.mcsstable:调用该类的MCSSTable对象
*/
function MCSSModel(modeldata,params)
{
	if (!params)
		params={};
	this.params=params;
	this.modeldata=modeldata;//mcss模型结构
	this.fields=this.modeldata.fields;
	this.allField={};
	this.smartselectFieldIds='';//类型为smart的多个字段的id
	this.smartselectFieldNames='';//类型为smart的多个字段的name
	this.initialize=function()
	{
		this.smartselectFieldIds='';
		this.smartselectFieldNames='';
		this.smartselectFields=[];
		if(this.fields){
			for(var i=0;i<this.fields.length;i++)
			{
				if (this.fields[i])
				{
					this.allField[this.fields[i].id]=this.fields[i];
					if (this.fields[i].type=='smartselect')
					{
						this.smartselectFields[this.fields[i].id]=this.fields[i];
						//if (window.sessionStorage && window.sessionStorage["mcss_selectdata_"+this.fields[i].id+"_"+this.fields[i].name])
							//continue;
						if (this.smartselectFieldIds)
							this.smartselectFieldIds+=",";
						this.smartselectFieldIds+=this.fields[i].id;
						if (this.smartselectFieldNames)
							this.smartselectFieldNames+=",";
						this.smartselectFieldNames+=this.fields[i].name;				
					}
				}
			}	
		}
	}
	this.initialize();	
	this.getField=function(fieldid)
	{
		return this.allField[fieldid];
	}
	this.getFieldInfo=function(fieldid,info)
	{
		return this.allField[fieldid][info];
	}
	//修改字段属性值
	//mcsstable.modelDealer.setFieldProp
	this.setFieldProp=function(fieldid,prop,value)
	{
		if (this.allField[fieldid])
			this.allField[fieldid][prop]=value;
	}
	//删除一个字段
	this.deleteField=function(fieldid)
	{
		for(var i=0;i<this.fields.length;i++)
		{
			if (this.fields[i]['id']==fieldid)
			{
				this.fields.splice(i,1);
				break;
			}
		}
		return this.fields;
	}
	//交换位置
	this.swapField=function(orders){
		var orders = orders.split(",");
		var arr = this.fields;
		for(var i = 0;i < orders.length;i++){
			for(var d = 0;d < this.fields.length;d++){
				if(arr[d].isvisible!="false"){
					if(orders[i]==arr[d].id){
						var temp = arr[i];//中间变量
						arr[i]=arr[d];//交换位置
						arr[d]=temp;//交换位置
						break;
					}
				}
			}
		}
	}
	//插入一个字段
	this.insertField=function(id,position,field)
	{
		var insertIndex;
		for(insertIndex=0;insertIndex<this.fields.length;insertIndex++)
			if (this.fields[insertIndex]['id']==id)
				break;
		if(position=="right")
			insertIndex+=1;
		this.fields.splice(insertIndex,0,field);	
		this.allField[field.id] = field;
	}	
	
	//修改字段属性值
	this.setArrPropValue=function(arr,fieldid,prop,value)
	{
		for(var i=0;i<arr.length;i++)
		{
			if (arr[i]['id']==fieldid)
			{
				arr[i][prop]=value;
				break;
			}
		}
		return arr;
	}

	//defaultValue:pid:'123',name:'jack'
	this.parseModelDefaultValue=function(defaultValue)
	{
		var fields=this.modeldata.fields;
		if (defaultValue)
		{
			var arr=defaultValue.split(",");
			for(var i=0;i<arr.length;i++)
			{
				var arr1=arr[i].split(":");
				if (arr1.length==2)
				{
					fields=this.setArrPropValue(fields,arr1[0],'defaultdata',arr1[1]);
				}
			}
		}
		this.modeldata.fields=fields;	
	}	
	
	this.getVisibleFieldsCount=function()
	{
		var n=0;
		for(var i=0;i<this.fields.length;i++)
			if (this.fields[i].visibleWhenAdd!='false') n++;
		return n;
	}

	//根据需要加载其它js文件
	this.loadJS=function()
	{		
		if (this.params.autoform || (this.params.mcsstable && (this.params.mcsstable.view=="tableedit" || this.params.mcsstable.view=="celledit")))
		{
			//mcss_importJS("jusaas/js/MCSSInputer.js");	
			//mcss_importJS("jusaas/js/MCSSTableEditor.js");	
		}
		mcss_importJS("jusaas/js/UNISelectDate.js");
	} 	
	
	//获得显示出来且标题不为空的表单字段数组
	this.getFormVisibleFields=function()
	{
		var arr=[];
		var fields=this.modeldata.fields;
		for(var i=0;i<fields.length;i++)
		{
			if (fields[i].visibleWhenAdd!='false' && fields[i].name)
				arr.push(fields[i]);
		}
		return arr;
	}
	//获得显示出来且标题不为空的列表字段数组
	this.getTableVisibleFields=function()
	{
		var arr=[];
		var fields=this.modeldata.fields;
		for(var i=0;i<fields.length;i++)
		{
			if (fields[i].isvisible!='false')
				arr.push(fields[i]);
		}
		return arr;
	}

}

//lang是全局变量，本来只要定义在语言文件中就可以了。但因为还没解决好加载语言文件被延迟问题，导致lang变量未定义。所以在这加上lang的定义。但平时维护语言还是在文件文件中。这里的词汇不全面
//alert("加载中文语言文件");
g_dinamic_cssjs.push("lang/cn/language.js");
var lang = {
this_language:'简体',
edit:'编辑',
insert:'插入',
edit_title:'编辑这条记录',
add:'添加',
add_title:'新增一条记录',
batchedit:'批修改',
batchedit_hint:'选择需要修改的列，并输入新值，则选中的记录将被统一修改',
batchedit_hint2:'选择要修改的列',
del:'删除',
search:'搜索',
print:'打印',
open:'打开',
open_title:'打开这条记录',
search2:'高级搜索',
searchshowall:'视图(完整数据)',
autowidth:'自动适应宽度',
mcssexport:'导出',
mcssimport:'导入',
mcssimport_title:'从Excel导入数据',
mcssgroupby:'分组',
firstpage:'首页',
nextpage:'下页',
priorpage:'上页',
lastpage:'末页',
totalpage:'总数',
totalrecord:'总记录数',
currentpage:'当前页',
everypage:'每页',
operation:'操作',
newwindow:'新窗口',
save:'保存',
notsave:'不保存',
reset:'重置',
clear:'清空',
action:'操作', 
close:'关闭',
returnback:'返回',
orderby:'排序',
orderbynotes:'改变排序：正序/倒序',
exporttofile:'导出',
ordertofile_title:'导出数据到Excel',
totalrecord:'总数',
inputtosearch:'搜索',
search_title:'模糊搜索，支持空格和*号',
notsavedtoask:'数据未保存，现在保存吗？',
nonetosave:'已保存过',
pleaseselectfield:'请选择一个分组列!',
refresh:'刷新',
saveasview:'保存为新视图',

//Autoform
cannotnull:"不能为空",
cannotrepeat:"该值已存在!",
cannotedit:"不可编辑！",
noupdates:"没有可更新内容。",
successfullysaved:"保存成功",
uploaded:"稍等,正在上传附件.......上传完毕！",
getfailed:"获取数据失败。",
analyticexpression:"解析表达式",
error:"错误",
originalinformation:"原始信息是",
choice:"选择",
senioreditor:"高级编辑",
limitcharlength:"定义的字符长度介于:",
mincharlength:"字符长度不能少于",
maxcharlength:"字符长度不能超过",
formatfor:"格式应该是",
onlydecimal:"只能输入小数",
onlynumber:"只能输入数字",
onlypositiveinteger:"只能输入正整数",
onlyinteger:"只能输入整数",
formaterror:"格式不正确",
identificationnumber:"请输入正确的身份证号码",
telephonenumber:"请输入正确的电话号码",
telemobilenumber:"请输入正确的手机号码",
postnumber:"请输入正确的邮编号码",
messageformat:"请输入正确的邮件格式",
websitformat:"请输入正确的网址",
modelerror:"获取模型数据错误",
QQnumber:"请输入正确的QQ号码",

//MCSSTable
adjust_width:"调宽",
totalrecords:'总记录数',
totalpages:'总页数',
firstpages:"已经是第一页!",
nopages:"没有下一页!",
lastpages:"已经是最后一页!",
select:"请先选择要操作的记录!",
isdelete:"确认要删除吗？",
searchnow:"开启即时搜索，无需点击搜索按钮",
beequalto:"等于",
doesnotequal:"不等于",
contain:"包含",
notincluded:"不包含",
biggerthan:"大于",
lessthan:"小于",
bigandeq:"大于等于",
lessandeq:"小于等于",
isnull:"为空",
notnull:"不为空",
yes:"是",
no:"否",
currentstyle:"当前样式",
compact:"紧凑",
nofoldlines:"不折行",
nodata:"无数据",

/*
//项目管理
"1":"一",
"2":"二",
"3":"三",
"4":"四",
"5":"五",
"6":"六",
"0":"日",
*/
today:'今天',
cleardate:'清除日期',
comment:'讨论',
move:'移动',

//其它
hint:"提示",
setprivilege:"权限分配",
role:"角色",
selectall:"全选",
unselectall:"全不选",
confirm:"确定",
inputdate:'请输入日期',
failtosave:"保存失败",
functions:"功能菜单",
savingnow:"正在保存...请勿多次保存。",
manageview:'整理视图',

//以下是非标准词汇
fullshare:'完全共享',
share:'共享',
donotshare:'不共享',
selectedshare:'选择共享',
sharingaccount:'共享帐号(帐号之间以逗号分隔)',
accountexample:'user1,user2,user3',
inputsharingaccount:'请输入账号',
setshare:'设置共享',
sharingurl:'共享链接是：',
sharingurl_withoutsignin:'任何人可打开下面链接来查看该页面，无需登录',
sharingurl_needsignin:'指定的用户登录后可打开下面链接来查看该页面',
sharingcancled:'共享已取消',
cancelfialed:'取消失败',
failtoshare:'共享失败',
accountnotexist:'帐号不存在',
okshare:'共享成功',
pm_diyfields_title:'输入字段显示名称，最多10个。例子：部门,是否有预算,任务类别',
setvisiblefields:'设置显示字段',
noauthtovisit:'没有权限访问该项目！',

view:'显示',
worktype:'任务类别',
taskname:'任务名称',
executer:'执行人',
timelinespan:'时间线跨度',
year:'年',
month:'月',
week:'周',
setdate:'指定日期',
begindate:'开始日期',
enddate:'结束日期',
projectstartend:'项目起止',
hidedone:'隐藏已完成',
hidedonetask:'隐藏已完成的任务',
showorhidedonetask:'隐藏/显示已完成的任务',
showorhidedone:'隐/显已完成',
showdone:'显示已完成',
showdonetask:'显示已完成的任务',
failtoloadlanguage:'加载语言文件失败！',
forgetpassword:'忘记密码',
usernameorpassworderror:'用户名或密码错误',
feedback:'反馈',
filterbytype:'快速过滤(所有)',
viewbygroup:'分组',
defaultgroup:'分组浏览',
projectnotexists:'不存在该项目',
openproject:'打开项目',
finishsetting:'设置完成，请刷新页面生效。',
setfieldvisible:'设置字段',
pleaseinputquery:'请输入查询条件',
pleaseinputname:'名称:',
hascomment:'有评论',
signin:'登录',
none:'无',
browsererr:'提示：超级表格对IE8及以下浏览器不完全兼容。使用Chrome、火狐或Safari效果更佳。',
nonegroup:'不分组',
confirmtoexportexcel:'导出Excel需要几秒到十几秒时间，确认要导出吗?',
isexporting:'正在导出文件...',
exportdone:'导出成功，点击‘确定’下载文件至系统盘下载区。',
failtoexport:'导出失败！',
onlyownercandeletediscussion:'只有项目所有者和评论创建者才能删除',
userfilter:'自定义搜索',
diy:'自定义',
preview:'预览',
discussion:'讨论',
relatedtask:'相关任务',
mycreatedrecord:'我创建的记录',
myupdatedrecord:'我修改的记录',
createtoday:'我今天创建的记录',
updatetoday:'我今天修改的记录',
unfinished:'未完成的任务',
todaybeginorend:'今天开始或结束的任务',
fromtoday:'今天以后的任务',
thisweektask:'本周任务',
thismonthtask:'本月任务',
nocomplete:"过期未完成任务",
commonuse:'常用',
showmore:'显示更多',
hasrefreshed:'刷新完成！',
said:'回复',
copyconfirm:'确实要复制此项目（包括项目基本信息和任务甘特图）吗?',
copiedsuccessfully:'复制成功!',
notvalidexpression:'不能保存! 因为没有满足校验要求：',
verify:'确认',
cancel:'取消',
autologin:'下次自动登录',
suretologout:'确定要退出吗?',
orderbybegindate:'按开始日期排序（不分组）',
morefields:'字段设置',
gotoprevpage:'显示前一个时间段',
gotonextpage:'显示后一个时间段',
biggertimeunt:'放大时间单位',
smallertimeunt:'缩小时间单位',
isminunit:'已经是最小的单位了',
ismaxunit:'已经是最大的单位了',
domypptitle:'超级表格:在线数据管理软件,在线表格,在线表单',
areyousuretotableedit:'当前记录较多，进入全表编辑状态需要几十秒。要继续吗？点击‘取消’则进入单格编辑状态',
pleasesaveatfirst:'提醒：请先保存数据，或者放弃保存。',
accountnotexists:'用户名不存在',
file:'文件',
test123:''
}





//以下是日期时间类MCDateTime
var MCDateTime=new Object();
MCDateTime.getGoodTime=function(seconds)
{
	var need_hour=MCDateTime.changeTwoDecimal(parseFloat(seconds/3600));
	
	var need_minutes=MCDateTime.changeTwoDecimal(parseFloat(seconds/60));
	var need_time=seconds+'秒';
	if (need_hour>1)
		need_time=need_hour+'小时';
	else
	if (need_minutes>1)
		need_time=need_minutes+'分钟';
	return need_time;
 
}

//保留两位小数点后位数
MCDateTime.changeTwoDecimal=function(x)
{
	var f_x = parseFloat(x);
	if (isNaN(f_x))
	{
	return false;
	}
	var f_x = Math.round(x*100)/100;

	return f_x;
}

MCDateTime.getGoodDate=function(date1)
{
	var r="";
	r=date1.getFullYear();
	var m=date1.getMonth()+1;
	var d=date1.getDate();
	if (m<10)r+="-0"+m;else r+="-"+m;
	if (d<10)r+="-0"+d;else r+="-"+d;
	return r;
}
	
/*
function getdatetime() {
	var newnote=$("#newnote").val();
	var notes=$("#notes").val();
	var d = new Date();
	var vYear = d.getFullYear()
	var vMon = d.getMonth() + 1
	var vDay = d.getDate()
	var h = d.getHours();
	var m = d.getMinutes();
	var se = d.getSeconds();
	s=vYear+"-"+(vMon<10 ? "0" + vMon : vMon)+"-"+(vDay<10 ? "0"+ vDay : vDay)+" "+(h<10 ? "0"+ h : h)+":"+(m<10 ? "0" + m : m);
	return s;
}
*/

MCDateTime.getMonthdays=function(year,month)
{
	var maxday = 31;
	if ((((month  ==  "4")  ||  (month  ==  "6"))  ||  (month  ==  "9"))  ||  (month  ==  "11"))
	{
		maxday = 30;
	}
	if (month  ==  "2")
	{
		if (isLeapYear(year))//闰年
			maxday = 29;
		else
			maxday = 28;
	}
	return maxday;
}

//把2011－10－12或2011／10／12格式的字符串转化为日期类型，兼容各种浏览器
MCDateTime.newDate=function(datestr)
{
	if (!datestr)
		return null;
	var t = Date.parse(datestr);  
	if (isNaN(t)){
		datestr=datestr.replace(/-/gi,"/");
		t = Date.parse(datestr);  	
	}
  	var d = new Date(t);   
	d.setHours(0);
	d.setMinutes(0);
	d.setSeconds(0);	
	d.setMilliseconds(0);	
	return d;
}

MCDateTime.calendar_weekday={
"1":"一",
"2":"二",
"3":"三",
"4":"四",
"5":"五",
"6":"六",
"0":"日"
}



//给日期加天数
Date.prototype.addDays = function(days) 
{
	return new Date(Date.parse(this) + (86400000 * days)); 
}

//两个日期相差的天数
MCDateTime.diffDays = function(begindate,enddate) 
{
	return (enddate-begindate)/3600000/24;
}


//获得某个日期所在月的第一天
MCDateTime.getMonthFirstDate = function(onedate) 
{
	var m=onedate.getMonth();
	m++;
	return MCDateTime.newDate(onedate.getFullYear()+"-"+m+"-1");
}
//获得某个日期所在月的最后一天
MCDateTime.getMonthLastDate = function(onedate) 
{
	var m=onedate.getMonth();
	m++;
	if (m<12){
		m++;
		y=onedate.getFullYear();
	}
	else
	{
		m='1';
		y=onedate.getFullYear()+1;
	}
	var d=MCDateTime.newDate(y+"-"+m+"-1");
	return d.addDays(-1);
}

//以上是日期时间类MCDateTime


function ckj(str)
{
alert(str);
}

//把sql语句中的危险词汇替换掉  //""123‘"
function uni_cleanSQL(str)
{
	if (str)
	{
		str=str.replace(/\ /g, "<KG>");	
		str=str.replace(/\#/g, "<XH>");
		str=str.replace(/\'/g, "<DYH>");//在windows下magic_quotes_gpc为on时 $.getJSON无法传输单引号
		str=str.replace(/\"/g, "<SYH>");
	}
	return str;
}
//调用getJSON时，把sql语句中的危险词汇替换掉
function uni_cleanSQL_JSON(str)
{
	if (str)
	{
		str=str.replace(/\//g, "|");//如果geJSON参数值中有斜杠，则无法传送
		str=uni_cleanSQL(str);
	}
	return str;
}

//调用getJSON时，把sql语句中的危险词汇替换掉
function uni_cleanSQL_JSON(str)
{
	if (str)
	{
		str=str.replace(/\//g, "|");//如果geJSON参数值中有斜杠，则无法传送
		str=uni_cleanSQL(str);
	}
	return str;
}

//获得时间随机数，从年份的最后2位，到毫秒，最后加5	位随机数，共20位。例如13112918400745636211
function uni_getTimeId()
{
	var date1=new Date();
	var r="";
	r=date1.getFullYear().toString().substring(2);
	var d=date1.getMonth()+1;
	if (d<10)r+="0"+d;else r+=d;
	d=date1.getDate();
	if (d<10)r+="0"+d;else r+=d;
	d=date1.getHours();
	if (d<10)r+="0"+d;else r+=d;
	d=date1.getMinutes();
	if (d<10)r+="0"+d;else r+=""+d;
	d=date1.getSeconds();
	if (d<10)r+="0"+d;else r+=""+d;
	var d=date1.getMilliseconds();
	if (d<10)r+="00"+d;
	else
	if (d<100)r+="0"+d;
	else r+=d;
	
	var  x="0123456789";
	var  tmp="";
	for(var i=0;i<3;i++)
		tmp+=x.charAt(Math.ceil(Math.random()*100000000)%x.length);
	r+=tmp;

	if (g_idindex<10)
		r+="0"+g_idindex;
	else
		r+=g_idindex;
	if (g_idindex==99)
		g_idindex=0;
	g_idindex++;

	return r;
}

//获得时间随机数，从年份的最后2位，到毫秒，最后加5 位随机数，共20位。例如13112918400745636211
function getTimeId()
{
    return uni_getTimeId();
}
//把html页面上hmlt()和title中的汉子转化为对应的语言
function common_setLanguage(dom_ids)
{
	dom_id_arr=dom_ids.split(",");
	for(var i=0;i<dom_id_arr.length;i++)
	{
		if (lang[$("#"+dom_id_arr[i]).html()])
			$("#"+dom_id_arr[i]).html(lang[$("#"+dom_id_arr[i]).html()]);
		if (lang[$("#"+dom_id_arr[i]).attr('title')])
			$("#"+dom_id_arr[i]).attr('title',lang[$("#"+dom_id_arr[i]).attr('title')]);
		if (lang[$("#"+dom_id_arr[i]).val()])
			$("#"+dom_id_arr[i]).val(lang[$("#"+dom_id_arr[i]).val()]);
	}		
}

function common_getBeginEndDateSql(beginfield,endfield,begindate,enddate)
{
	return "(("+beginfield+"<='"+begindate+"' and "+endfield+">='"+begindate+"') or  ("+beginfield+">='"+begindate+"' and "+endfield+"<='"+enddate+"') or ("+beginfield+"<='"+enddate+"' and "+endfield+">='"+enddate+"') or ("+beginfield+"<='"+begindate+"' and "+endfield+">='"+enddate+"') or ("+beginfield+"='"+begindate+"') or ("+endfield+"='"+enddate+"'))";
}

function common_publishPage(url)
{
	if (url==undefined)
		url=window.document.location.href;
	url=url.replace(/\//g,"~xiegan~");	
//	mcdom.showIframe(g_homeurl+"/System/Model/setShare/url/"+url,{width:500,height:400,tag:"setshare_popup",title:lang.share,mouseoverclose:false,openNewWindow:true});
	mcdom.showIframe(g_homeurl+"/Oa/Project/publicShare/url/"+url,{width:500,height:300,tag:"setshare_popup",title:lang.share,mouseoverclose:false,openNewWindow:true});
}



// 下面是原来放在dom.js中的代码
function MCDom(params)
{
}
var mcdom=new MCDom();
mcdom.popupOwner={};//记录所有浮层对象所属的对象。例子：{'popup1':'owner1','popup2':'owner1','popup3':'owner2'}

MCDom.prototype.createOptions=function(data,parent)
{
	var arr=data;
	if (typeof(data)=="string")
	{
		arr=data.split(",");
	}else return "错误。data参数必须是sring类型！";
	var option="";
	for(i in arr)
	{
		var arr1=arr[i].split(":");
		var v=arr1[0];
		var n=arr1[0];
		if (arr1.length==2)
			n=arr1[1];
		if (parent)
			v=parent+":"+v;
		if (lang[n])
			n=lang[n];
		option+="<option value='"+v+"'>"+n+"</option>";
	}
	return option;
}

//获取下拉列表选中项的文本   
MCDom.prototype.getSelectedText=function(obj)
{ 
	for(i=0;i<obj.options.length;i++){   
	   if(obj.options[i].selected==true){   
		return obj.options[i].innerHTML; 
	   }   
	}   
}  

MCDom.prototype.getRadioValue=function(name)
{
	var radios=document.getElementsByName(name);
	for(var k=0;k<radios.length;k++)
	{
		if (radios[k].checked)
		{
			return radios[k].value;
		}
	}
}

//根据浏览器及不同获得body对象
MCDom.prototype.getBody=function()
{
	var ua = navigator.userAgent.toLowerCase();
	if (ua.indexOf('chrome')>-1)
		return document.body;
	else
		return document.documentElement;	
}

MCDom.prototype.popup=function(html,params)
{
	if (!params)
		params={};
	return this.showPopup(params.obj,html,params.position,params.top,params.left,params.height,params.width,params.title,{fadeOut:params.fadeOut,hideheader:params.hideheader,position:params.position,alwaysStay:params.alwaysStay,seconds:params.seconds,mouseoverclose:params.mouseoverclose,openNewWindow:params.openNewWindow,url:params.url,className:params.className,tag:params.tag,popupid:params.popupid,ownerid:params.ownerid,header:params.header,overflow:params.overflow,help:params.help});	
}

/*
创建浮层，浮层中的html内容有参数html提供
e:鼠标单击的那个对象，如按钮
position：浮层显示位置，如果为middle则显示在屏幕中央
params.mouseoverclose:是否鼠标移动上去即点击
params.stopmousedrag:禁止鼠标拖动窗口
params.hideheader:不显示标题行
params.position："after"表示显示在对象后面
params.alwaysStay:"1"表示不要被mcdom.closePopup()方法关闭
params.tag:浮层的特定标记的一个字符串。不给定的可能导致出现多个浮层
params.help:显示在窗口右上角的帮助链接
其它参数可以为空
*/
MCDom.prototype.showPopup=function(e,html,position,top,left,height,width,title,params)
{
	if (params==undefined)
		params={};
	
	var ua = navigator.userAgent.toLowerCase();
	var body=this.getBody();
	//计算top和left	
	if (e)
	{
		var top1=0;
		var left1=0;
		var p=this.getPosition(e);		
		if(p && p.top)
		//if($(e).attr("getBoundingClientRect"))
		{
			//var p=this.getPosition(e);		
			if (position!="after")
				top1=p.top+p.height;
			else
				top1=p.top;				
			var w1=0;
			if (parseFloat(width)>0)
				w1=parseFloat(width);
			left1=p.left+p.width;
			if (p.left>document.documentElement.clientWidth/2) //如果点击点在屏幕右半边
				left1=left1-p.width-w1;
		}
		else
		if(window.event)
		{
			var e1 = window.event;
			left1=e1.offsetLeft || e1.clientX+body.scrollLeft;
			top1=e1.offsetTop || e1.clientY+body.scrollTop;
		}
		left=left1;
		top=top1;
	}

	
	if (parseFloat(top)<0)
		top=0;
	if (parseFloat(left)<0)
		left=0;
			
	if (params.left) left=params.left;
	if (params.top) top=params.top;
	if (params.width) width=params.width;
	if (params.height) height=params.height;		
	top=popup_getPX(top);
	width=popup_getPX(width);
	height=popup_getPX(height);
	left=popup_getPX(left);
	
	if (!width)
		width='auto';
	if (!height)
		height='auto';
	
	//给fuceng一个id
	var popid="",objid="";
	if (params.tag)
		objid=params.tag;
	else
	{
		//var objid;
		if(e)
		{
			objid = e.id;
			if(!objid){
				objid=e.className;
				if (objid)
				{
					objid=objid.split(" ");
					if (objid.length>1)
						objid=objid[0];
					if (!objid)
						objid=e.name;
				}else{
					objid="popup";	
				}
			}
		}
		if(!objid||objid==undefined)
			objid="popup_"+randomString();
	}
	popid=objid+"_fuceng_Box";
	if (params.popupid)
		popid=params.popupid;
	
	if (title==undefined)
		title="";
	var hideheader='';
	if (params.hideheader)
		hideheader='none';
	var headcss='handmove handmove_focus';
	
    if (document.body && document.documentElement)
        var height3=document.body.clientHeight>document.documentElement.clientHeight?document.body.clientHeight:document.documentElement.clientHeight;
    else
        height3=document.documentElement.clientHeight;
    var h="<div id='"+popid+"_divback' class='fuchengceng-background' style='left:0px;top:0px;width: "+document.documentElement.clientWidth+"px; height:"+height3+"px;'>";
    h+="<div class='fuchuceng ";
	if (params.className)
		h+=params.className;
	h+="' id='"+popid+"' style='top:"+top+";left:"+left+";width:"+width+";height:"+height+";";
	// if(params.overflow)
		// h+="overflow:"+params.overflow;
	h+=";'";
	if (params.tag)
		h+=" tag='"+params.tag+"'";
	h+=" >";	
	h+="<div id='"+objid+"_handmove' class='"+headcss+"' style='display:"+hideheader+";cursor:move' >"
	+"<span class='title_popup' >"+title+"</span>";
	if (params.header)
	{
		h+=params.header;
	}
	
	h+="<a title='关闭' style='cursor:pointer;' id='"+objid+"_close_popup'>X</a>";
	if (params.openNewWindow)
	{
		h+="<a class='icon-newtab' target='_blank' href='"+params.url+"'></a>";
	}
	if (params.help)
	{
		h+="<a class='icon-help' target='_blank' href='http://www.domypp.com/index.php/U/url/"+ params.help+"'></a>";
	}
	h+="</div>"
	+"<div id='"+objid+"_popup_div' class='popup_htmlContent'";
	if(params.overflow)
		h+=" style='overflow:auto'";
	h+=">";
	h+=html
	+"</div></div></div>";

	$("#"+popid).remove();
	$(".handmove").removeClass('handmove_focus');
	$('body').append(h);
	
	var newDom=$("#"+popid).get(0);
	//如果要求居中
	if (position && position=="middle")
	{	
		var def_width=newDom.offsetWidth;
		var def_height=newDom.offsetHeight;
		if (parseFloat(width)>0)
			def_width=parseFloat(width);
		if (parseFloat(height)>0)
			def_height=parseFloat(height);
		var top=(document.documentElement.clientHeight-def_height)/2 +document.documentElement.scrollTop;
		var left=(document.documentElement.clientWidth-def_width)/2 +document.documentElement.scrollLeft;		
		
		if (top<0) top=0;
		if (left<0) left=0;
		$(newDom).css({top:top,left:left});

	}
	else
	{
		//如果显示超出屏幕底部，则移动到组件上方
		if (newDom.offsetTop+newDom.offsetHeight>document.documentElement.clientHeight)
		{
			$(newDom).css({top:document.documentElement.clientHeight-newDom.offsetHeight-document.documentElement.scrollTop});
		}
		if (newDom.offsetLeft+newDom.offsetWidth>document.documentElement.clientWidth)
		{
			$(newDom).css({left:document.documentElement.clientWidth-newDom.offsetWidth-document.documentElement.scrollLeft});
		}

	}
	
	if (params.alwaysStay)
		$("#"+popid).attr('alwaysStay','1');
	$("#"+popid).css('z-index',dom_getFuchucengMaxZindex()+1);
	if (params.stopmousedrag!=true)
	{
		$("#"+objid+"_handmove").mousedown(function (e) {
			iDiffX = e.pageX - $(this).offset().left;
			iDiffY = e.pageY - $(this).offset().top;
			var w=$("#"+objid+"_handmove").parent().width();
			if(width=="auto")
				w="auto";
			$(document).mousemove(function (e) {			
				$("#"+objid+"_handmove").parent().css({ "left": (e.pageX - iDiffX), "top": (e.pageY - iDiffY),"width":w});
			});
		});	
	}
	$("#"+objid+"_handmove").click(function(){
		$(".handmove").removeClass('handmove_focus');
		$(this).addClass('handmove_focus');
		$("#"+popid).css('z-index',dom_getFuchucengMaxZindex()+1);		
	})
	$("#"+objid+"_handmove").dblclick(function(){
		if (!params.header)
			$("#"+popid).remove();	
 	})
 	if (params.mouseoverclose){
	 	$("#"+objid+"_close_popup").mouseover(function(){
			$("#"+popid).remove();	
	 	})
	 }
 		
	$("#"+objid+"_handmove").mouseup(function () {
		$(document).unbind("mousemove");
	});		
	
	$("#"+objid+"_close_popup").click(function(){
		$("#"+objid+"_popup_div").remove();	
		$("#"+objid+"_fuceng_Box").remove();
		//mcdom.popupOwner:['popup1':'owner1','popup2':'owner1','popup3':'owner2']
		for(p in mcdom.popupOwner)
		{
			if (mcdom.popupOwner[p]==popid)
				$("#"+p).remove();
		}
 	})
	if (params && params.fadeOut)
	{
		var showSeconds=2000;
		if (params.seconds)
			showSeconds=params.seconds*1000;
		if (params.showSeconds)
			showSeconds=params.showSecond*1000;
		setTimeout("$('#"+popid+"').parent().remove()",showSeconds); 
	}
	   //背景处理
    var divBack=$("#"+popid+"_divback").get(0);
    divBack.style["-webkit-transition"] ="all 0.3s ease-out";
    divBack.style["-moz-transition"] ="all 0.3s ease-out";
    divBack.style["-ms-transition"] ="all 0.3s ease-out";
    divBack.style["-o-transition"] ="all 0.3s ease-out";
    divBack.style.opacity=1;
    window.setTimeout(function(){
        divBack.style.opacity=1; 
    },20);
    function fun_close(obj){
        var pop = $("#"+popid+"_divback");
        pop.get(0).style.opacity=0;
        window.setTimeout(function(){
            try{
                if($("tbody").is(":hidden")){//应用在表格主体受限后，让TBODY隐藏不让用户使用表格。
                    $("tbody").show();    //如果元素为隐藏,则将它显现
                }
            }catch(e){
                //防止影响其他窗口关闭时间。  //add by cheni
            }
            $(pop).remove();    
        },500);
    }
    $("#"+popid+"_divback").click(function(){
        if (event.srcElement==$("#"+popid+"_divback").get(0)){
            fun_close();
        }
    });

	if (params.ownerid)
	{
		if (typeof(params.ownerid)=='string')
			this.popupOwner[popid]=params.ownerid;	
		else
			this.popupOwner[popid]=params.ownerid.id;	
	}
	var popup=$("#"+popid).get(0);
	//$(popup).show(500);
	this.currentPopup=popup;

	return popup;
}


function dom_openNewWindws(url)
{
	window.open(url);
}
//把位置的值，必要的话，转化为带有px单位
function popup_getPX(pos)
{
	if (pos && pos!='auto' && (pos+"").indexOf("%")==-1 && (pos+"").indexOf("px")==-1)
		pos+="px";
	return pos;
}

function dom_getFuchucengMaxZindex()
{
	var max_z=1,z=0;
	$('.fuchuceng').each(function(i,item){
		z=parseInt($(item).css('z-index'));
		max_z=z>max_z?z:max_z;
	})
	return max_z+99999;
}
//把浮层大小改为浮层中的iframe的大小
function dom_setAutoWidth(e)
{
if (typeof(e)=="string")
	e=document.getElementById(e);
var e=$(e.parentNode.parentNode).find('iframe').get(0);
$(e).css('height',e.contentWindow.document.documentElement.scrollHeight+'px');
$(e.parentNode.parentNode).css('width',(e.contentWindow.document.documentElement.scrollWidth+2)+'px');
$(e.parentNode.parentNode).css('height',(e.contentWindow.document.documentElement.scrollHeight+32)+'px');
}
//把浮层大小改为浮层中的iframe的大小
function dom_setFullSize(e)
{
if (typeof(e)=="string")
	e=document.getElementById(e);
var iframe=$(e.parentNode.parentNode).find('iframe').get(0);
$(iframe).css('height',iframe.contentWindow.document.documentElement.scrollHeight+'px');

if (e.title=="最大化")
{
	var fucengmaxWidth=document.documentElement.clientWidth-10;
	var fucengmaxHeight=document.documentElement.clientHeight-10;
	var fucengmaxLeft=(document.documentElement.clientWidth-fucengmaxWidth)/2;
	var fucengmaxTop=(document.documentElement.clientHeight-fucengmaxHeight)/2;
	$(iframe).css('height','100%');
	$(iframe.parentNode.parentNode).css({'top':fucengmaxLeft+'px','left':fucengmaxTop+'px','width':fucengmaxWidth+'px','height':fucengmaxHeight+'px'});
	$(iframe.parentNode).height((fucengmaxHeight-31));
	e.title="还原";
	$(e).addClass('back_popup');
}
else
{
	$(iframe.parentNode.parentNode).css({'top':'10px','left':'100px','width':'400px','height':'350px'});
	$(iframe).css('height','300px');
	e.title="最大化";
	$(e).removeClass('back_popup');
	
}


}

/*
	创建中央浮层,没有缩放功能
	参数url为要展示的页面，params为json格式的参数
	params.top
	params.left
	params.height
	params.width
	params.title
	params.fadeOut
	params.openNewWindow：true表示显示用新窗口打开的图标
*/
MCDom.prototype.showIframe=function(url,params){	
	if (!params)
		params={};
	var e=params.obj;
	//给fuceng一个id
	var objid;
	if(e)
	{
		objid = e.id;
		if(!objid){
			objid=e.className;
			if (objid)
			{
				objid=objid.split(" ");
				if (objid.length>1)
					objid=objid[0];
				if (!objid)
					objid=e.name;
			}else{
				objid="popup";	
			}
		}
	}
	if(!objid||objid==undefined)
		objid="popup";
	//var popid=objid+"_fuceng_Box";
	if (!e && !params.position)
		params.position='middle';
	//params.openNewWindow=true;
	params.url=url;
	var html="";
	html+="<iframe id='"+objid+"_popup_iframe' src='"+url+"' ></iframe>";
	return this.popup(html,params);
}


//关闭浮层对象。e:触发浮层的对象或浮层。应尽量去浮层对象作为e参数
MCDom.prototype.closePopup=function(e)
{
	if(e)
	{
		if ($(e).hasClass("fuchuceng")){
			$(e).parent().remove();
	    }
		else
		{
//			var pop=mcdom.getObjByClass(e,"fuchuceng");
//			$(pop).remove();
		
			var objid = e.id;
			if(!objid){
				objid=e.className;
				if (objid)
				{
					objid=objid.split(" ");
					if (objid.length>1)
						objid=objid[0];
					if (!objid)
						objid=e.name;
				}else{
					objid="popup";	
				}
			}
			$("#"+objid+"_popup_div").remove();	
			$("#"+objid+"_fuceng_Box").remove();
		}
	}
	else
	{
		$(".fuchuceng").parent().remove();
	}
}

MCDom.prototype.isIE=function(e){
	return navigator.userAgent.toLowerCase().indexOf('msie')>-1;
}
//获得页面元素的绝对位置，加上了滚动条，兼容ie、chrome、firfox
MCDom.prototype.getPosition=function(e)
{
	var oRect = '';
	try{
		oRect = e.getBoundingClientRect();
	}catch(ex){
		oRect = '';
	}
	var ua=navigator.userAgent.toLowerCase();
	var body=this.getBody();
	return {
		top: oRect.top+body.scrollTop,
		left: oRect.left+body.scrollLeft,
		bottom: oRect.bottom+body.scrollBottom,
		right: oRect.right+body.scrollRight,
		width: e.offsetWidth,
		height: e.offsetHeight
		}
}

//获得页面元素的绝对位置，考了各级父窗体的滚动条。这个比getPosition更靠谱
MCDom.prototype.getAbsolutePosition=function(e)
{
	var left=e.scrollLeft+e.offsetLeft;
	var top=e.scrollTop+e.offsetTop;
	for(var i=0;i<20;i++)
	{
		e=e.parentNode;
		if (e && e.scrollLeft)
		{
			left+=e.scrollLeft+e.offsetLeft;
			top+=e.scrollTop+e.offsetTop;
		}
		else
			break;
	}
	return {
		top: top,
		left: left
		}
}


MCDom.prototype.getRadioValue=function(name)
{
	var radios=document.getElementsByName(name);
	for(var m=0;m<radios.length;m++)
	{
		if (radios[m].checked)
		{    
			return radios[m].value;
		}
	}
	return null;
}


//alert简单的提醒;
//str:提示的内容；
//title:标题，不写默认为‘提示’；
//type:warning:警告，info:信息，success：成功，fail：失败；
//fade:是否控制时间消失，fadeout:3秒后自动消失，没有则不自动消失；
//width:提示框的宽度；
//height:提示框的高度；
//params.seconds:经过多少秒后自动消失
//params.obj:希望提示框显示的地方的对象
MCDom.prototype.alert=function(str,title,type,fade,width,height,params)
{
	htm='';
    htm+="<div class='weui_dialog_confirm'>";
    htm+=" <div class='weui_mask'>"
        + "</div>"
        +"<div class='weui_dialog'>"
        +"<div class='weui_dialog_hd'>"
        + "<strong class='weui_dialog_title'></strong>"
        +"</div>"
        +"<div class='weui_dialog_bd'>"+str+"</div>"
        +" <div class='weui_dialog_ft'>"
        +" <a class='alert_btn_ok' >确定</a>"
        +"</div>"
        +" </div>"
        +"</div>";
    $('body').append(htm);
    var div=$(".weui_dialog");
    div.css("opacity",0);
    div.css("-webkit-transition","opacity 0.4s ease-out");
    window.setTimeout(function(){div.css("opacity",1);},20);
    $(".alert_btn_ok").click(function(){

        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_dialog_confirm").remove();
        },400);
    })
    $('.weui_mask').click(function(){
        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_dialog_confirm").remove();
        },400);
    })
}
//简单的提醒
MCDom.prototype.minialert=function(title)
{
	var top=(document.documentElement.clientHeight-50)/2;
	var left=(document.documentElement.clientWidth-200)/2;
	var h="<div class='titleTips' style='top:"+top+"px;left:"+left+"px;'>"+title+"</div>";
	$('body').append(h);
	//setTimeout("$('.titleTips').remove()",2000); 
}

/*简单的浮层输入框，确定后调用回调函数
params.css
params.position
*/
MCDom.prototype.input=function(callback,initvalue,description)
{
    
    htm='';
    htm+="<div class='weui_dialog_confirm'>";
    htm+=" <div class='weui_mask'>"
        + "</div>"
        +"<div class='weui_dialog'>"
        +"<div class='weui_dialog_hd'>"
        + "<strong class='weui_dialog_title'></strong>"
        +"</div>"
        +"<div class='weui_dialog_bd'>"+description+"</div>"
        +"<div class='weui_dialog_bd'>"+"<input type='text' id='mcssdom_input' style='padding:0.5em;margin:0.5em;width:95%;font-size:1em;line-height:1.2em;border:none;border-bottom:1px solid #ddd;background:none;' value='"+initvalue+"' class='form-control input-sm'></div>"
        +" <div class='weui_dialog_ft'>"
        +" <a id='btn_cancel' class='weui_btn_dialog default'>取消</a>"
        +" <a id='btn_ok' >确定</a>"
        +"</div>"
        +" </div>"
        +"</div>";
    $('body').append(htm);

    var div=$(".weui_dialog");
    div.css("opacity",0);
    div.css("-webkit-transition","opacity 0.4s ease-out");
    window.setTimeout(function(){
        div.css("opacity",1);
        $('#mcssdom_input').focus();
    },20);
    $("#btn_cancel").click(function(){
        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_dialog_confirm").remove();
        },400);
    });
    $("#btn_ok").click(function(){
        var v=$("#mcssdom_input").val();
        callback(v);
        $(".weui_dialog_confirm").remove();
    });
    $('.weui_mask').click(function(){
        
        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_dialog_confirm").remove();
        },400);
        
        
    });
    return;
}
MCDom.prototype.comfirm=function(str,callback,params){
	this.confirm(str,callback,params);
}
/*确认提示框
params.focus:是否默认按钮
*/
MCDom.prototype.confirm=function(str,callback,params)
{	
    htm='';
    htm+="<div class='weui_dialog_confirm'>";
    htm+=" <div class='weui_mask'>"
        + "</div>"
        +"<div class='weui_dialog'>"
        +"<div class='weui_dialog_hd'>"
        + "<strong class='weui_dialog_title'></strong>"
        +"</div>"
        +"<div class='weui_dialog_bd'>"+str+"</div>"
        +" <div class='weui_dialog_ft'>"
        +" <a id='btn_cancel' class='weui_btn_dialog default'>取消</a>"
        +" <a id='btn_ok' >确定</a>"
        +"</div>"
        +" </div>"
        +"</div>";
    $('body').append(htm);
    var div=$(".weui_dialog");
    div.css("opacity",0);
    div.css("-webkit-transition","opacity 0.4s ease-out");
    window.setTimeout(function(){div.css("opacity",1);},20);
    $("#btn_cancel").click(function(){
        $(".weui_dialog_confirm").remove();
        callback(false);
    })
    $("#btn_ok").click(function(){
        callback(true);
        
        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_dialog_confirm").remove();
        },400);
        
    })
    $('.weui_mask').click(function(){
        callback(false);
        
        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_dialog_confirm").remove();
        },400);
        
    })
   
}

//获得指定对象所在浮层对象
MCDom.prototype.getPopupObj=function(obj)
{
	for(var i=0;i<20;i++)
	{
		if (!obj)
			break;
		if ($(obj).hasClass('fuchuceng'))
			break;
		else
			obj=obj.parentNode;
	}
	return obj;
}

MCDom.prototype.getObjByTagName=function(obj,tagName)
{
	for(var i=0;i<20;i++)
	{
		if (!obj)
			break;
		if (obj.tagName==tagName)
			break;
		else
			obj=obj.parentNode;
	}
	return obj;
}
MCDom.prototype.getObjByClass=function(obj,className)
{
	for(var i=0;i<20;i++)
	{
		if (!obj)
			break;
		if ($(obj).hasClass(className))
			break;
		else
			obj=obj.parentNode;
	}
	return obj;
}

//如果浮层超出屏幕右下角，则移动到屏幕内
MCDom.prototype.moveToScreen=function(newDom,isIframe)
{
	if(isIframe){
		var left=(window.parent.document.documentElement.clientWidth-newDom.offsetWidth-window.parent.document.documentElement.scrollLeft)/2;
		left=left<0?0:left;
		$(newDom).css({left:left}); 
		var top=(window.parent.document.documentElement.clientHeight-newDom.offsetHeight-window.parent.document.documentElement.scrollTop)/2;
		top=top<0?0:top;
		$(newDom).css({top:top});
		return;
	}
	if (newDom.offsetTop+newDom.offsetHeight>document.documentElement.clientHeight)
	{
		//下面的方法执行两次，是因为滚动条出现后，把浮层移动到屏幕内了，这时滚动条消失了，这样根据滚动条位置移动的位置会太高
		//var top=document.documentElement.clientHeight-newDom.offsetHeight-document.documentElement.scrollTop;
		var top=newDom.offsetTop-newDom.offsetHeight;
		top=top<0?0:top;
		$(newDom).css({top:top});
		//$(newDom).css({top:document.documentElement.clientHeight-newDom.offsetHeight-document.documentElement.scrollTop});
	}
	if (newDom.offsetLeft+newDom.offsetWidth>document.documentElement.clientWidth)
	{
		var left=document.documentElement.clientWidth-newDom.offsetWidth-document.documentElement.scrollLeft-5;
		left=left<0?0:left;
		$(newDom).css({left:left});
	}
	if (newDom.offsetTop<0)
	{
		$(newDom).css({top:'0px'});
	}
	if (newDom.offsetLeft<0)
	{
		$(newDom).css({left:'0px'});
	}
}

/*关闭所有浮层菜单
class为“uni_popup_one”表示要求在document上每次只能出现一个对象
*/
function dom_closePopupMenu()
{
	$(".uni_popup_one").parent().remove();
}
/*
div:容纳菜单的div
srcElement:产生菜单的那个按钮对象
params.width:
*/
function dom_showPopupMenu(html,srcElement,params)
{
	if (!params)
        params={};
	if(srcElement){
	   var menuid=srcElement.id+"_actionmenu";
	   var p = mcdom.getPosition(srcElement);
	   var top=p.top+p.height;
       var left=p.left;
	}else{
	    var menuid="system_popup_menu";
	    var left=(document.documentElement.clientWidth/10);
	    params.width=(document.documentElement.clientWidth/10*8)+"px";
	    var top=0;
	    var bottom=10;
	}
	if (params.position){
	    if (params.position="bottom"){
	        var menuid=srcElement.id+"_actionmenu";
	        var left=0;
            params.width=document.documentElement.clientWidth+"px";
            var top=0;
            var bottom=1;
	    }
	}
	dom_closePopupMenu();

	if ($("#"+menuid).size()>0)
		return;
	var cls='popupmenu';
	if (params.needpicture)
		cls='popupmenu_pic';
	var style="display:none;";
	if (params.width)
		style+="width:"+params.width+";";
	if(params.height)
		style+="height:"+params.height+";";
    if (params.marginTop)
        style+="margin-top:"+params.marginTop+";";
    if(params.marginLeft)
        style+="margin-left:"+params.marginLeft+";";
    var h="<div class='weui_mask'></div>";
	h+= "<div id='"+menuid+"' class='"+cls+"' style='"+style+"'>";
	h+=	html;
	h+="</div>";
	$(document.body).append(h);
	var div = $("#"+menuid); //要浮动在这个元素旁边的层  
	div.css("position", "absolute");//让这个层可以绝对定位   
    if (top>0)	div.css({"left":left,"top":top,'z-index':dom_getFuchucengMaxZindex()+1});  
    if (bottom>0) div.css({"left":left,"bottom":bottom,'z-index':dom_getFuchucengMaxZindex()+1});  
	div.css("opacity",0);
	div.css("-webkit-transition","opacity 0.4s ease-out");
	div.css("transition","opacity 0.4s ease-out");
	div.show(); 
	if (srcElement)
	   mcdom.moveToScreen(div.get(0));
	$(div).find('*').click(function(){
		$(div).remove();
		$(".weui_mask").remove();
	})
	$(".weui_mask").click(function(){
	    
        div.css("opacity",0);
        div.css("-webkit-transition","opacity 0.4s ease-out");
        div.css("transition","opacity 0.4s ease-out");
        
        window.setTimeout(function(){
            $(div).remove();
            $(".weui_mask").remove();
        },400);

        
	})
	//$(document).unbind('click');
	//alert(11)
	window.setTimeout(function(){div.css("opacity",1); },100);
}
//绑定全局的document的click事件，可以多次修改
function document_click(obj)
{
	$(document).unbind("click");	
	document.popupmenuObj=obj;
	$(document).click(function(event){
		var owner=mcdom.getObjByClass(event.target,"uni_popup_one");
		if (event.target!=document.popupmenuObj && !$(owner).hasClass('uni_popup_one'))
		{
			dom_closePopupMenu();
		}
	})

}

//手机校验
function IsPhone(str){
	var parttern=/^[1][0-9]{10}$/;
	return parttern.test(str);
}



function randomString(l)
{
   var   x="0123456789qwertyuioplkjhgfdsazxcvbnm";
   var   tmp="";
   if (l==undefined)	l=8;
   for(var   i=0;i<l;i++)   {
   tmp   +=   x.charAt(Math.ceil(Math.random()*100000000)%x.length);
   }
   return   tmp;
}

function dom_closeThisPopup(obj)
{
	$(mcdom.getPopupObj(obj)).remove();
}
//上面是原来放在dom.js中的代码

//去掉所有的html标记
function clearHTML(h)
{
	if (h)
	return h.replace(/<[^>]+>/g,"");
	else
		return h;
}
//多选、单选、下拉列表基本选项
var g_optionList = [
{name:'是/否', items:['是', '否']},
{name:'性别', items:['男','女','保密']},
{name:'学历', items:['小学', '初中', '高中', '大学本科', '硕士研究生', '博士研究生', '无可奉告']},
{name:'星期', items:['星期一','星期二','星期三','星期四','星期五','星期六','星期日']},
{name:'月份', items:['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月']},
{name:'职业情况', items:['全职', '兼职', '自由职业', '找工作中', '无业', '在校学生', '保密']},
{name:'满意程度', items:['非常满意', '满意', '一般', '不满意', '非常不满意']},
{name:'省/自治区/直辖市', items:['北京市', '上海市', '重庆市', '天津市', '河北省', '山西省', '内蒙古自治区', '辽宁省', '吉林省', '黑龙江省', '江苏省', '浙江省', '安徽省', 
'福建省', '江西省', '山东省', '河南省', '湖北省', '湖南省', '广东省', '广西壮族自治区', '海南省', '四川省', '贵州省', '云南省', '西藏自治区', '陕西省',
 '甘肃省', '青海省', '宁夏回族自治区', '新疆维吾尔自治区', '香港特别行政区', '澳门特别行政区', '台湾']}
];
